package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
abstract class EdgeGlob extends Glob {
  public EdgeGlob() {
    super();
  }
  void universal_trv0_bef(UniversalVisitor _v_) {
    super.universal_trv0_bef(_v_);
    ((UniversalVisitor) _v_).before(this);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).after(this);
    super.universal_trv0_aft(_v_);
  }

  void universal_trv0(UniversalVisitor _v_) {
    super.universal_trv0(_v_);
  }

  void allGlobs_GlobSpec_trv_bef(GlobVisitor v) {
    super.allGlobs_GlobSpec_trv_bef(v);
    ((GlobVisitor) v).before(this);
  }

  void allGlobs_GlobSpec_trv_aft(GlobVisitor v) {
    ((UniversalVisitor) v).after(this);
    super.allGlobs_GlobSpec_trv_aft(v);
  }

  void allGlobs_GlobSpec_trv(GlobVisitor v) {  }

  void __trav_matchEdge_GlobSpec_trv_bef(__V_GlobSpec_matchEdge __v0) {
    super.__trav_matchEdge_GlobSpec_trv_bef(__v0);
    ((__V_GlobSpec_matchEdge) __v0).before(this);
  }

  void __trav_matchEdge_GlobSpec_trv_aft(__V_GlobSpec_matchEdge __v0) {
    ((__V_GlobSpec_matchEdge) __v0).after(this);
    super.__trav_matchEdge_GlobSpec_trv_aft(__v0);
  }

  void __trav_matchEdge_GlobSpec_trv(__V_GlobSpec_matchEdge __v0) {  }

  void __trav_match_GlobSpec_trv(java.util.BitSet nodes, __V_GlobSpec_match __v0) {  }

  void __trav_collectClassGlobs_GlobSpec_trv(__V_GlobSpec_collectClassGlobs __v0) {  }

  void __trav_collectEdgeGlobs_GlobSpec_trv_bef(__V_GlobSpec_collectEdgeGlobs __v0) {
    super.__trav_collectEdgeGlobs_GlobSpec_trv_bef(__v0);
    ((__V_GlobSpec_collectEdgeGlobs) __v0).before(this);
  }

  void __trav_collectEdgeGlobs_GlobSpec_trv_aft(__V_GlobSpec_collectEdgeGlobs __v0) {
    super.__trav_collectEdgeGlobs_GlobSpec_trv_aft(__v0);
  }

  void __trav_collectEdgeGlobs_GlobSpec_trv(__V_GlobSpec_collectEdgeGlobs __v0) {  }

  void allGlobs_ClassGlobSpec_trv(GlobVisitor v) {  }

  void __trav_match_ClassGlobSpec_trv(java.util.BitSet nodes, __V_ClassGlobSpec_match __v0) {  }

  void __trav_map_ClassGlobSpec_trv(__V_ClassGlobSpec_map __v0) {  }

  void __trav_addStrings_ClassGlobSpec_trv(__V_ClassGlobSpec_addStrings __v0) {  }

}
